This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534704 - (RHQ-1475) Redesign plugin-api for 2pc configuration (especially for plugin-config)
Redesign plugin-api for 2pc configuration (especially for plugin-config)
Status: NEW
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 09:56 EST by Heiko W. Rupp
Modified: 2014-05-03 03:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-02-04 09:56:00 EST
Currently, there is no way to check if a potential new plugin-config is valid or not. When a user makes a bad change, the connection to the managed resource will break and the user will see a red or yellow alert box.

We should split this into two parts:
- first an optional verify step that the plugin writer can overwrite -- as default it returns "valid"
  - even for valid configurations it should be possible to return warning or information messages 
- second if the config was considered valid in the first step the actual activation of this new config.

This is no trivial request, as it will include changes in server, plugin-api, gui and plugins.
Comment 2 Red Hat Bugzilla 2009-11-10 15:33:46 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1475
Comment 3 wes hayutin 2010-02-16 12:08:59 EST
mass add of key word FutureFeature to help track
Comment 4 Jay Shaughnessy 2014-05-02 16:58:54 EDT
H, Are you still interested in doing this?
Comment 5 Heiko W. Rupp 2014-05-03 03:39:18 EDT
Yes :) See https://docs.jboss.org/author/display/RHQ/2-phase+discovery

Note You need to log in before you can comment on or make changes to this bug.